Notification
- Endpoint:
POST /Debit-Notice - Tags: Indonesia SNAP/Collection
Parameters
| Field | In | Type | Required | Constraints | Description |
|---|---|---|---|---|---|
X-TIMESTAMP | header | string | Yes | Transaction date time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX | |
X-SIGNATURE | header | string | Yes | Signature need to be verified | |
X-PARTNER-ID | header | string | Yes | Unique identifier for partner was generated by payermax, or known as clientId | |
X-EXTERNAL-ID | header | string | Yes | Unique messaging reference identifier and should be unique within the same day | |
Content-Type | header | string | Yes |
Parameter Examples
X-TIMESTAMP:""X-SIGNATURE:""X-PARTNER-ID:""X-EXTERNAL-ID:""Content-Type:"application/json"
Request Body
Content-Type: application/json
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
merchantId | string | Yes | maxLength: 32 | Merchant identifier that is unique per each merchant | |
originalPartnerReferenceNo | string | Yes | maxLength: 64 | Original transaction identifier on partner system | |
originalReferenceNo | string | Yes | maxLength: 64 | Original transaction identifier on Payermax system | |
originalExternalId | string | No | maxLength: 32 | Original external identifier on header message | |
amount | object | No | Net amount of the transaction additionalInfo.notifyType=PAYMENT: transaction amount additionalInfo.notifyType=REFUND: refund amount | ||
amount.value | number | Yes | Transaction amount | ||
amount.currency | string | Yes | maxLength: 3 | Transaction currency | |
latestTransactionStatus | string | Yes | maxLength: 2 | additionalInfo.notifyType=PAYMENT: 00 = Success, the order has been paid 05 = Cancelled, the order has been closed because it is expired 06 = Failed, the order has been failed additionalInfo.notifyType=REFUND: 00 = Success, the order has been refunded 06 = Failed, the order has been failed | |
transactionStatusDesc | string | No | maxLength: 64 | Description of transaction status | |
createdTime | string | Yes | maxLength: 25 | Transaction created time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX | |
finishedTime | string | Yes | maxLength: 25 | Transaction finished time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX | |
externalStoreID | string | No | maxLength: 64 | Store identifier to indicate to which store this payment belongs to | |
additionalInfo | object | Yes | Additional information | ||
additionalInfo.notifyType | string | Yes | maxLength: 16 | Notification Type. values: PAYMENT/REFUND |
Responses
200
Response Example
json
{
"originalPartnerReferenceNo": "2020102900000000000001",
"originalReferenceNo": "2020102977770000000009",
"originalExternalId": "30443786930722726463280097920912",
"merchantId": "23489182303312",
"subMerchantId": "23489182303312",
"amount": {
"value": "10000.00",
"currency": "IDR"
},
"latestTransactionStatus": "00",
"transactionStatusDesc": "success",
"createdTime": "2020-12-21T17:07:18+07:00",
"finishedTime": "2020-12-21T17:07:20+07:00",
"externalStoreId": "91863213913112",
"additionalInfo": {
"notifyType": "PAYMENT"
}
}